Create¶
POST /api/v1/log_backup_cfg/add
Overview¶
Create a single data forwarding rule
Body Request Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| name | string | Y | Rule name Example: xxx Allow empty: False Max length: 64 |
| extend | json | Custom frontend data Allow empty: True |
|
| syncExtensionField | boolean | Sync backup extension fields, true for sync, false for no sync, default no sync Allow empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration (default false: not enabled). When enabled, the permission to read data forwarding rules is determined by readPermissionSet (added in iteration 2025-03-26) Allow empty: False |
|
| readPermissionSet | array | Permission configuration for reading data forwarding rules, can configure roles (except owner) (added in iteration 2025-03-26) Example: ['wsAdmin', 'general'] Allow empty: False |
|
| storeType | string | Storage type Allow empty: False Allow empty string: True Allowed values: ['guanceObject', 's3', 'obs', 'oss', 'kafka', 'tos', 'gcs', 'doris'] |
|
| storageClass | string | Storage class Allow empty: False Allow empty string: True |
|
| storageFormat | string | Storage format, default value is json Allow empty: False Allow empty string: True Allowed values: ['json', 'parquet'] |
|
| dataType | string | Data type Allow empty: False Allowed values: ['llm', 'logging', 'tracing', 'rum', 'keyevent', 'audit_event', 'am'] |
|
| duration | string | Data retention duration Example: 180d Allowed values: ['180d', '360d', '720d'] |
|
| accessCfg | json | External resource access configuration Allow empty: False |
|
| accessCfg.provider | string | Provider Allow empty: False Allowed values: ['aliyun', 'aws', 'huawei', 'volcengine', 'google'] |
|
| accessCfg.grantType | string | Grant type Allow empty: False Allowed values: ['role', 'ram', 'account', 'serviceAccount'] |
|
| accessCfg.cloudAccountId | string | Cloud account ID Allow empty: False |
|
| accessCfg.bucket | string | Bucket Allow empty: False |
|
| accessCfg.externalId | string | External unique ID (external unique ID for AWS role-based authorization) Allow empty: False |
|
| accessCfg.role | string | Role name Allow empty: False |
|
| accessCfg.ak | string | Access key ID Allow empty: False |
|
| accessCfg.sk | string | Secret access key Allow empty: False |
|
| accessCfg.serviceAccountJson | json | GCP service account JSON object Allow empty: False |
|
| accessCfg.topic | string | Topic Allow empty: False Allow empty string: True |
|
| accessCfg.url | string | Connection URL (for kafka) Allow empty: False |
|
| accessCfg.securityProtocol | string | Security protocol (for kafka) Allow empty: False Allowed values: ['plaintext', 'sasl_plaintext', 'sasl_ssl'] |
|
| accessCfg.ca | string | Client SSL certificate content Allow empty: False Allow empty string: True |
|
| accessCfg.mechanism | string | Authentication mechanism Allow empty: False Allow empty string: True Allowed values: ['plain', 'scram-sha-256', 'scram-sha-512'] |
|
| accessCfg.username | string | Username Allow empty: False Allow empty string: True |
|
| accessCfg.password | string | Password Allow empty: False Allow empty string: True |
|
| accessCfg.endpoints | string | Apache Doris FE HTTP/HTTPS addresses, multiple addresses separated by commas Allow empty: False |
|
| accessCfg.database | string | Apache Doris database name Allow empty: False |
|
| accessCfg.table | string | Apache Doris table name, matching ^[A-Za-z][A-Za-z0-9_]{0,63}$ Allow empty: False |
|
| accessCfg.replicationNum | integer | Replication factor for new Apache Doris tables; if omitted or set to 0, the cluster default is used Allow empty: False $minValue: 0 |
|
| accessCfg.region | string | Region (optional; if not provided, the default region corresponding to the current site will be used) Allow empty: False |
|
| accessCfg.endpoint | string | Access endpoint, optional when storeType is s3/obs/oss/tos and grantType=ram Allow empty: False |
|
| accessCfg.bucketPath | string | Bucket path Allow empty: False Allow empty string: True |
|
| accessCfg.dataWaitSeconds | integer | Data wait time for object storage, in seconds; default 3600 if not provided Allow empty: False Allowed values: [900, 1800, 3600] |
|
| accessCfg.isEncrypt | boolean | Indicates whether to encrypt the forwarded data, default false (no encryption) Allow empty: False |
Additional Parameter Notes¶
Response¶
{"code":200,"content":{"conditions":"","createAt":1697613651,"creator":"xxx","dataType":"tracing","deleteAt":-1,"extend":{"filterLogic":"and","filters":[]},"externalResourceAccessCfgUUID":"erac_xxxx32","id":null,"name":"temp_test","status":0,"storeType":"obs","syncExtensionField":true,"taskErrorCode":"","taskStatusCode":-1,"updateAt":1697613651,"updator":"xxx","uuid":"lgbp_xxxx32","workspaceUUID":"wksp_xxxx32"},"errorCode":"","message":"","success":true,"traceId":"TRACE-31D4417B-2665-4CFA-9BC9-60BD6A540744"}
requestCurl: |
```shell
curl '<Endpoint>/api/v1/log_backup_cfg/add' \
-H 'Accept: application/json, text/plain, */*' \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--data-raw '{"extend":{"filters":[],"filterLogic":"and"},"syncExtensionField":true,"storeType":"s3","name":"temp_test","dataType":"tracing","accessCfg":{"grantType":"ram","bucket":"test-s3-001","region":"cn-south-1","provider":"aws","endpoint":"https://s3.custom-endpoint.example.com"}}' \
--compressed